from PIL import Image

PATH = "data/yugo.jpg"

with Image.open(PATH) as img: 

    # Rotirati auto sa slike za 45 stepeni
    img1 = img.rotate(45)
    img1.show()

    # Rotirati auto sa slike za 45 stepeni ali bez izbacivanja
    # delova slike koji rotacijom izlaze van okvira slike
    img2 = img.rotate(45, expand=True)
    img2.show()

    # Uporediti dimenzije prethodno rotiranih slika. 
    # Sta se moze zakljuciti?
    print("Dimenzije prve slike: {}".format(img1.size))
    print("Dimenzije druge slike: {}".format(img2.size))

    # Pitanje: da li ce slika dobijena rotacijom pravougaone slike 
    # (e.g., slike dimenzija 1000x666) uvek biti kvadrat, ukoliko 
    # se koristi opcija expand=True?
    # Objasniti ili dati kontra primer. 
    img3 = img.rotate(2, expand=True)
    img3.show()
    print(img3.size)

    # Zadatak: koriscenjem rotacije slike originalnu sliku auta
    # okrenuti "naopako".
    img4 = img.rotate(180, expand=False)
    img4.show()